# SpigotSerializable

interface SpigotSerializable<T>
Content copied to clipboard

## Functions

equals
Link copied to clipboard
open operator fun equals(other: Any?): Boolean
Content copied to clipboard
hashCode
Link copied to clipboard
open fun hashCode(): Int
Content copied to clipboard
toSpigot
Link copied to clipboard
abstract fun toSpigot(): T
Content copied to clipboard
Converts this serializable object into the corresponding spigot object.
toString
Link copied to clipboard
open fun toString(): String
Content copied to clipboard

## Inheritors

SerializableLocation
Link copied to clipboard
SerializableVector
Link copied to clipboard

## Extensions

serialize
Link copied to clipboard
fun SpigotSerializable<*>.serialize(pretty: Boolean = true): String
Content copied to clipboard